Results 1 to 3 of 3

Thread: Qt (...) (library qt-mt) not found.

  1. #1
    nkent001 NNTP User

    Default Qt (...) (library qt-mt) not found.


    Tried to compile klibido first and then kwebget. In both cases during
    configure I get:
    "checking for Qt... configure: error: Qt (>= Qt 3.0.2) (library qt-mt)
    not found. Please check your installation!
    For more details about this problem, look at the end of config.log.
    Make sure that you have compiled Qt with thread support!"
    I think the section in the log pertaining to this is:
    "configure:19124: rm -rf SunWS_cache; g++ -o conftest -O2
    -fno-exceptions -fno-check-new -I/usr/lib/qt3/include -I.
    -DQT_THREAD_SUPPORT -D_REENTRANT -L/usr/lib/qt3/lib -L/usr/lib64
    conftest.cc -lqt-mt -lpng -lz -lm -ljpeg -ldl -lXext -lX11 -lSM -lICE
    -lresolv -lpthread 1>&5
    /usr/lib64/gcc/x86_64-suse-linux/4.3/../../../../x86_64-suse-linux/bin/ld:
    skipping incompatible /usr/lib/qt3/lib/libqt-mt.so when searching for
    -lqt-mt
    /usr/lib64/gcc/x86_64-suse-linux/4.3/../../../../x86_64-suse-linux/bin/ld:
    cannot find -lqt-mt
    collect2: ld returned 1 exit status".

    I found libqt-mt.so is a link to libqt-mt.so.3.3.8.

    I tried all kind of things to no avail. I only found one openSUSE
    Forums entry on this, from 2004 and it doesn't apply.

    OS: Linux 2.6.27.7-9-default x86_64
    System: openSUSE 11.1 (x86_64)
    KDE: 3.5.10 "release 33.1"


    --
    nkent001
    ------------------------------------------------------------------------
    nkent001's Profile: http://forums.opensuse.org/member.php?userid=10545
    View this thread: http://forums.opensuse.org/showthread.php?t=403634


  2. #2
    Cryovac NNTP User

    Default Re: Qt (...) (library qt-mt) not found.


    Do you have qt3-devel installed?


    --
    <>---><^>
    ------------------------------------------------------------------------
    Cryovac's Profile: http://forums.opensuse.org/member.php?userid=217
    View this thread: http://forums.opensuse.org/showthread.php?t=403634


  3. #3
    nkent001 NNTP User

    Default Re: Qt (...) (library qt-mt) not found.


    Yes, qt3-devel 3.3.8b-88.5 is installed.
    Judging by the config.log "skipping incompatible
    /usr/lib/qt3/lib/libqt-mt.so when searching for -lqt-mt" the
    libqt-mt.so.3.3.8 is deemed "incompatible", for some reason.


    --
    nkent001
    ------------------------------------------------------------------------
    nkent001's Profile: http://forums.opensuse.org/member.php?userid=10545
    View this thread: http://forums.opensuse.org/showthread.php?t=403634


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •